import pytest

from django.core.management import call_command

pytestmark = pytest.mark.django_db


# adapted from https://adamj.eu/tech/2024/06/23/django-test-pending-migrations/ for pytest
def test_no_pending_migrations(capsys):
    try:
        call_command("makemigrations", "--dry-run", "--check")
    except SystemExit:  # pragma: no cover
        out, _ = capsys.readouterr()

        raise AssertionError("Pending migrations:\n" + out) from None
